
//      Sample config file for the text mode user interface
//      ***************************************************

// __GUI__ symbol is defined when this file is parsed
//
//      Screen configuration
//      --------------------

SCREEN_CURSOR           = 0             // = 0 normal cursor
                                        // = 1 block cursor

AUTOSAVE                = 100           // After 100 user actions
                                        // IDA flushes its buffers to disk

// The windows version of IDA determines the directory
// automatically. The following parameter isn't needed anymore.
// WINDIR               = "c:\\windows" // Default directory to look up for
                                        // MS Windows DLL files
                                        // IDA will search subdirs
                                        //      "dll"
                                        //      "system"
                                        //      "system32"
                                        // of this dir automatically

OS2DIR                  = "c:\\os2"     // OS/2 main directory (is used to
                                        // look up DLLs)


HELPFILE                = "sample.hlp"  // Name of help file used by Ctrl-F1
                                        // Please change it as shown below:
//HELPFILE                = "WIN32.HLP"


ASK_EXIT_UNPACKED       = YES           // Ask confirmation if the user
                                        // wants to exit the database without
                                        // packing it

ASK_EXIT                = YES           // Ask confirmation if the user
                                        // wants to exit

OPEN_DEFAULT_IDC_PATH   = NO            // YES: The dialog box to select an 
                                        //      IDC scrip always starts in
                                        //      the IDC subdirectory
                                        // NO:  The dialog box opens in the
                                        //      current/last directory

TEXT_SEARCH_CASE_SENSITIVE = NO         // Search in the disassembly text
BIN_SEARCH_CASE_SENSITIVE = YES         // Search in the input file

DISPLAY_PATCH_SUBMENU    = NO           // Display the Edit,Patch submenu
DISPLAY_COMMAND_LINE     = NO           // Display the expressions/IDC command line

CONFIRM_UNDEFINE_COMMAND = NO           // Confirm the "undefine" command

//
//      Keyboard hotkey definitions
//      ---------------------------
//

"ReloadFile"            =       0               // Reload the same input file
"LoadFile"              =       0               // Load additional file into database
"LoadIdsFile"           =       0               // Load IDS file
"LoadDbgFile"           =       0               // Load DBG file
"LoadPdbFile"           =       0               // Load PDB file
"LoadSigFile"           =       0               // Load SIG file
"LoadHeaderFile"        =       "F9"            // Load C header file
"Execute"               =       "F2"            // Execute IDC file
"ExecuteLine"           =       "Shift-F2"      // Execute IDC line
"About"                 =       0
"SaveBase"              =       "Ctrl-W"
"SaveBaseAs"            =       0
"Abort"                 =       0               // Abort IDA, don't save changes
"Quit"                  =       "Alt-X"         // Quit to DOS, save changes

"ReanalyseProgram"      =       0               // Reanalyse the program

"ProduceMap"            =       0               // Produce MAP file
"ProduceAsm"            =       "Alt-F10"
"ProduceLst"            =       0
"ProduceExe"            =       0
"ProduceDiff"           =       0               // Generate difference file
"DumpDatabase"          =       0               // Dump database to IDC file
                                                // This IDC file contains all
                                                // information to recreate
                                                // the database from scratch
                                                // (executable file will be
                                                //  needed)
"DumpTypes"             =       0               // Dump typeinfo to IDC file

"JumpAsk"               =       'g'
"JumpName"              =       "Ctrl-L"
"JumpSegment"           =       "Ctrl-S"
"JumpSegmentRegister"   =       "Ctrl-G"
"JumpQ"                 =       "Ctrl-Q"
"JumpPosition"          =       "Ctrl-M"
"JumpXref"              =       "Ctrl-X"
"JumpOpXref"            =       "X"
"JumpFunction"          =       "Ctrl-P"
"JumpEntryPoint"        =       "Ctrl-E"

"JumpEnter"             =       "Enter"         // jump to address under cursor
"JumpEnterNew"          =       "Alt-Enter"     // jump to address under cursor
                                                // in a new window
"Return"                =       "Esc"
"UndoReturn"            =       "Ctrl-Enter"    // undo the last Esc
"EmptyStack"            =       0               // make the jumps stack empty

"SetDirection"          =       0
"MarkPosition"          =       "Alt-M"

"FindAllSuspicious"     =       0
"JumpSuspicious"        =       "Ctrl-V"
"JumpCode"              =       "Alt-C"
"JumpData"              =       "Ctrl-D"
"JumpUnknown"           =       "Ctrl-U"
"JumpExplored"          =       "Ctrl-A"
"AskNextImmediate"      =       "Alt-I"
"JumpImmediate"         =       "Ctrl-I"
"AskNextText"           =       "Alt-T"
"JumpText"              =       "Ctrl-T"
"AskBinaryText"         =       "Alt-B"
"JumpBinaryText"        =       "Ctrl-B"
"JumpNotFunction"       =       "Alt-U"

"MakeAlignment"         =       'L'
"ManualInstruction"     =       "Alt-F2"
"ToggleBorder"          =       0

"MakeCode"              =       'C'
"MakeData"              =       'D'
"MakeAscii"             =       'A'
"MakeUnicode"           =       0           // create unicode string
"MakeArray"             =       "Numpad*"
"MakeUnknown"           =       'U'

"MakeName"              =       'N'
//"MakeAnyName"           =       "Ctrl-N"
"ManualOperand"         =       "Alt-F1"

"MakeFunction"          =       'P'
"EditFunction"          =       "Alt-P"
"DelFunction"           =       0
"FunctionEnd"           =       'E'
"OpenStackVariables"    =       "Ctrl-K" // open stack variables window
"ChangeStackPointer"    =       "Alt-K"  // change value of SP
"RenameRegister"        =       'V'
"SetType"               =       'Y'

"MakeComment"           =       ':'
"MakeRptCmt"            =       ';'
"MakePredefinedComment" =       "Shift-F1"

"MakeExtraLineA"        =       "Ins"
"MakeExtraLineB"        =       "Shift-Ins"

"OpNumber"              =       '#'
"OpHex"                 =       'Q'
"OpDecimal"             =       'H'
"OpOctal"               =       0
"OpBinary"              =       'B'
"OpFloat"               =       0
"OpChar"                =       'R'
"OpSegment"             =       'S'
"OpOffset"              =       'O'
"OpOffsetCs"            =       "Ctrl-O"
"OpAnyOffset"           =       "Alt-R"
"OpUserOffset"          =       "Ctrl-R"
"OpStructOffset"        =       'T'
"OpStackVariable"       =       'K'
"OpEnum"                =       'M'
// commented out because the french version of windows nt with sp4 complains
// if you want, you may uncomment it - anyway it doesn't make big difference
//"ChangeSign"          =       "Shift+-"
"BitwiseNegate"         =       '~'

"CreateSegment"         =       0
"EditSegment"           =       "Alt-S"
"KillSegment"           =       0
"MoveSegment"           =       0
"SegmentTranslation"    =       0

"SetSegmentRegister"    =       "Alt-G"
"SetSegmentRegisterDefault"     = 0

"ShowRegisters"         =       "Space"

"OpenNotepad"           =       0
"WindowOpen"            =       0
"OpenFunctions"         =       "Shift-F3"      // open functions window
"OpenNames"             =       "Shift-F4"
"OpenSignatures"        =       "Shift-F5"      // open signatures window
"OpenSegments"          =       "Shift-F7"
"OpenSegmentRegisters"  =       "Shift-F8"
"OpenSelectors"         =       0
"OpenXrefs"             =       0
"OpenStructures"        =       "Shift-F9"      // open structures window
"OpenEnums"             =       "Shift-F10"     // open enums window
"OpenProblems"          =       0
"OpenTypeLibraries"     =       "Shift-F11"
"GraphFunc"             =       "F12"           // display function flow-chart
"CallFlow"              =       "Ctrl-F12"      // display function call graph
"ChartXrefsTo"          =       0               // display referenced items
"ChartXrefsFrom"        =       0               // display referencing items
"ChartXrefsUser"        =       0               // display referenced/referencing items
"OpenStrings"           =       "Shift-F12"
"OpenCallers"           =       0               // display function call list

"PatchByte"             =       0
"PatchWord"             =       0
"Assemble"              =       0

"SetAsciiStyle"         =       "Alt-A"     // set ascii strings style
"SetDirectives"         =       0           // setup assembler directives
"ToggleDump"            =       "F4"        // show dump or normal view

"SetNameType"           =       0
"SetDemangledNames"     =       0

"Calculate"             =       '?'
"ShowFlags"             =       'F'
"SetupHidden"           =       "Ctrl-F2"
"Hide"                  =       "Numpad-"
"Unhide"                =       "Numpad+"
"HideAllFunctions"      =       0
"UnhideAllFunctions"    =       0

"ExternalHelp"          =       "Ctrl-F1"
"KeyboardHelp"          =       0

"NextWindow"            =       "F6"
"PrevWindow"            =       "Shift-F6"
"CloseWindow"           =       "Alt-F3"

//
//      Structure manipulation commands
//

"AddStruct"             =       "Ins"           // add struct type
"DelStruct"             =       "Del"           // del struct type
"ExpandStruct"          =       "Ctrl-E"        // expand struct type
"ShrinkStruct"          =       "Ctrl-S"        // shrink struct type
"MoveStruct"            =       0               // move struct type
"DeclareStructVar"      =       "Alt-Q"         // declare struct variable
"ZeroStructOffset"      =       "Ctrl-Z"        // force zero field offset
"SelectUnionMember"     =       "Alt-Y"         // select union member
"CreateStructFromData"  =       0               // create struct from data

//
//      Enum manipulation commands
//

"AddEnum"               =       "Ins"           // add enum
"DelEnum"               =       "Del"           // del enum
"EditEnum"              =       "Ctrl-E"        // edit enum
"AddConst"              =       "N"             // add new enum member
"EditConst"             =       "Ctrl-N"        // edit enum member
"DelConst"              =       "U"             // delete enum member


//-------------------------------------------------------------------------
//      User specific parameters
//-------------------------------------------------------------------------
//
//  If you don't want to modify IDATUI.CFG file then you can create a file
//  called IDAUSERG.CFG and place additional parameters there.
//
//  The IDAUSERG.CFG file should be placed either in your current directory
//  either in the IDA directory.
//
#softinclude    <idauserg.cfg>
